


/*------------------------------------*\
  # DOCTORS
\*------------------------------------*/

.doctors{
    display: flex;
    flex-wrap: wrap;
    gap: 60px;
    justify-content: center;
}
.doctors .doctor-item-wrapper{
    width: calc(25% - 180px / 4);
}
.doctor-item-wrapper{
    max-width: 350px;
    min-width: 250px;
    position: relative;
    padding: 40px 40px 10px 40px;
    background-color: var(--denipol-foreground-secondary);
    transition: 250ms background-color ease-out;
}
.doctor-item-wrapper:hover{
    background-color: var(--denipol-foreground-secondary-hover);
}
.doctor-item-link{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
}
.doctor-item .more{
    display: block;
    text-align: center;
    padding-top: 30px;
    font-size: .8rem;
}
.doctor-item .more span{
    width: fit-content;
    margin: 0 auto;
}
.doctor-info{
    padding-top: 10px;
}
.doctor-info .name{
    font-weight: bold;
}
.doctor-info .field{
    color: var(--denipol-red);
}
.doctor-img{
    position: relative;
    z-index: 2;
    background-color: var(--denipol-darkblue);
    width: 100%;
    aspect-ratio: 9 / 10;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    pointer-events: none;
}
.doctor-img > img:not(.logo-small){
    margin-top: auto;
    display: block;
    width: 75%;
    max-width: unset;
    max-height: unset;
    object-fit: contain;
    transition: 500ms;
    transition-timing-function: var(--ease-circ);
}
.doctor-item-wrapper:hover .doctor-img > img:not(.logo-small){
    width: 90%;
}
.doctor-img .logo-small{
    width: 110px;
    margin: 5px;
    align-self: start;
}
.section-carousel-slider .logo-small{
    filter: brightness(0) saturate(100%) invert(15%) sepia(48%) saturate(2863%) hue-rotate(186deg) brightness(93%) contrast(96%);
}
.section-carousel-slider .doctor-item-wrapper{
    background-color: var(--denipol-darkblue);
    color: #fff;
}
.section-carousel-slider .doctor-item-wrapper:hover{
    background-color: var(--denipol-darkblue-hover);
}
.section-carousel-slider .field{
    color: #fff;
}
.section-carousel-slider .doctor-img{
    background-color: var(--denipol-foreground-secondary);
}
.doctor-img-buttons{
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: space-between;
    padding: 20px;
    align-items: end;
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
    transition: 300ms all;
    background-image: url('../../img/denipol-logo-small.png');
    background-repeat: no-repeat;
    background-size: 110px;
    background-position: center;
    transition-timing-function: var(--ease-circ);
    pointer-events: none;
}
.doctor-item-wrapper:hover .doctor-img-buttons{
    opacity: 1;
    background-color: rgba(5,59,98,0.8);
}
.doctor-img-buttons > *{
    display: flex;
    height: fit-content;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    color: #fff;
    opacity: 0;
    transform: translateY(50px);
    transition: 500ms transform 100ms;
    transition-timing-function: var(--ease-elastic);
    cursor: pointer;
    pointer-events: all;
}
.doctor-img-buttons > * img{
    transition: 500ms;
    transition-property: transform;
    transition-timing-function: var(--ease-circ);
}
.doctor-item-wrapper:hover .doctor-img-buttons > *{
    opacity: 1;
    transform: translateY(0);
}
.doctor-img-buttons > *:hover img{
    filter: brightness(0) saturate(100%) invert(57%) sepia(47%) saturate(535%) hue-rotate(137deg) brightness(90%) contrast(92%);
    transform: translateY(-10px);
}
.doctor-img-buttons > *:hover{
    color: var(--denipol-turquoise-hover) !important;
}



/*------------------------------------*\
  # DOCTOR DETAIL
\*------------------------------------*/

.section-intro-detail:has(.field) .intro-detail-img{
    aspect-ratio: 7 / 10;
}
.section-intro-detail:has(.field) .intro-detail-img img{
    object-fit: contain;
    width: calc(100% - 20px);
}
.section-intro-detail:has(.field) .secondary-side{
    padding-bottom: 0;
    padding-right: 0;
}
.section-doctor-info h1,
.section-doctor-info .field{
    padding: 0 20px;
}
.section-doctor-info h1{
    margin-bottom: 0;
    padding-top: 20px;
}
.section-intro-detail .field{
    color: var(--denipol-red);
}